
import java.lang.reflect.*;

public class User {
   // Primary key attribute
   String firstName;
   String lastName;
   long pin;

   // other attributes
   char sex;
   double height;
   String email;
   boolean alive;
   Integer income;
   Short dob;

   // The no-argument constructor, reqd by dbMapper
   public User() {
   }

   // Other constructors
   public User (String firstName, String lastName, long pin, 
                    char sex, double height, String email,
                    boolean alive, Integer income, Short dob) {
      this.firstName = firstName;
      this.lastName = lastName;
      this.pin = pin;
      this.sex = sex;
      this.height = height;
      this.email = email;
      this.alive = alive;
      this.income = income;
      this.dob = dob;
   }

   // Getter/Setter methods for attributes
   public String getFirstName () { return firstName; }
   public String getLastName () { return lastName; }
   public long getPin () { return pin; }
   public char getSex () { return sex; }
   public double getHeight () { return height; }
   public String getEmail () { return email; }
   public boolean getAlive () { return alive; }
   public Integer getIncome () { return income; }
   public Short getDob () { return dob; }

   public void setFirstName (String firstName) { this.firstName = firstName; }
   public void setLastName (String lastName) { this.lastName = lastName; }
   public void setPin (long pin) { this.pin = pin; }
   public void setSex (char sex) { this.sex = sex; }
   public void setHeight (double height) { this.height = height; }
   public void setEmail (String email) { this.email = email; }
   public void setAlive (boolean alive) { this.alive = alive; }
   public void setIncome (Integer income) { this.income = income; }
   public void setDob (Short dob) { this.dob = dob; }

   public String toString() {
      java.util.Hashtable h = new java.util.Hashtable();
      Class cls = getClass();
      Field[] fields = cls.getDeclaredFields();
      //AccessibleObject.setAccessible(fields, true);
      for(int i=0; i<fields.length; i++) {
         try {
            h.put(fields[i].getName(), fields[i].get(this) + "\n");
         }
         catch(IllegalAccessException e) {}
      }    
      if(cls.getSuperclass().getSuperclass() != null) {
         h.put("super", super.toString());
      }
      return cls.getName() + "\n" + h;
   }
}

