import java.lang.reflect.*;

public class GeoLoc {
   // Primary key attribute
   int     addrId;

   // other (basic) attributes
   float   x;
   float   y;


   // The no-argument constructor, reqd by dbMapper
   public GeoLoc() {
   }

   // Other constructors
   public GeoLoc (int addrId, float x, float y) {
      this.addrId = addrId;
      this.x = x;
      this.y = y;
   }


   // Getter/Setter methods for attributes
   public int    getAddrId () { return addrId; }
   public float  getX () { return x; }
   public float  getY () { return y; }

   public void setAddrId (int addrId) { this.addrId = addrId; }
   public void setX (float x) { this.x = x; }
   public void setY (float y) { this.y = y; }


   public String toString() {
      java.util.Hashtable h = new java.util.Hashtable();
      Class cls = getClass();
      Field[] fields = cls.getDeclaredFields();
      //AccessibleObject.setAccessible(fields, true);
      for(int i=0; i<fields.length; i++) {
         try {
            h.put(fields[i].getName(), fields[i].get(this) + "\n");
         }
         catch(IllegalAccessException e) {}
      }    
      if(cls.getSuperclass().getSuperclass() != null) {
         h.put("super", super.toString());
      }
      return cls.getName() + "\n" + h;
   }

}
