import java.rmi.RemoteException;
import javax.ejb.EJBObject;

public interface Counter extends EJBObject {
   // Increment the counter by 1
   public int increment() throws RemoteException;

   // Decrement the counter by 1
   public int decrement() throws RemoteException;

   // Get the current counter value
   public int value() throws RemoteException;
}

