@rem DB Mapper installation directory
set DBMAPPER_ROOT=..

@rem Directory that contains the thirdparty jar files used by dbMapper package.
@rem All these jar files are provided with the dbMapper distribution.
@rem If you choose to use a different version for these thirdparty products,
@rem make sure the CLASSPATH environment variable is set accordingly.
set EXT_LIB=%DBMAPPER_ROOT%\thirdparty
set EXT_LIB_CLASSPATH=%EXT_LIB%\xerces.jar;%EXT_LIB%\jdom.jar;%EXT_LIB%\log4j.jar

@rem JDBC driver classpath for HSQL 
set DRIVER_CLASSPATH=hsqldb\hsqldb.jar


@rem Setting Classpath
set MYCLASSPATH=classes;images;%DBMAPPER_ROOT%\lib\dbmapper.jar;%EXT_LIB_CLASSPATH%;%DRIVER_CLASSPATH%;%CLASSPATH%;
echo Using classpath: %MYCLASSPATH%
echo .

@rem Run the example
java -cp %MYCLASSPATH% MyFrame

